#ifndef ANALOG_CALIBRATION_H
#define ANALOG_CALIBRATION_H

#include <stdint.h>


typedef struct analog_calibration_t_
{
    int16_t input_neutral;
    int16_t output_neutral;
    int8_t scale;
}
analog_calibration_t;


int16_t analog_calibration_apply(analog_calibration_t const *calibration, int16_t input);


#endif // ANALOG_CALIBRATION_H
